Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageDataGeometryFilter Class Reference

`#include <vtkImageDataGeometryFilter.h>`

Inheritance diagram for vtkImageDataGeometryFilter:

[legend]
Collaboration diagram for vtkImageDataGeometryFilter:

[legend]
List of all members.

## Detailed Description

extract geometry for structured points

Date:
  2002/01/22 15:29:24

Revision:
  1.3

vtkImageDataGeometryFilter is a filter that extracts geometry from a structured points dataset. By specifying appropriate i-j-k indices (via the "Extent" instance variable), it is possible to extract a point, a line, a plane (i.e., image), or a "volume" from dataset. (Since the output is of type polydata, the volume is actually a (n x m x o) region of points.)

The extent specification is zero-offset. That is, the first k-plane in a 50x50x50 volume is given by (0,49, 0,49, 0,0).

Warning:
  If you don't know the dimensions of the input dataset, you can use a large number to specify extent (the number will be clamped appropriately). For example, if the dataset dimensions are 50x50x50, and you want a the fifth k-plane, you can use the extents (0,100, 0,100, 4,4). The 100 will automatically be clamped to 49.

See also:
  vtkGeometryFilter vtkStructuredGridFilter

Created by:
  - Avila, Lisa

CVS contributions (if > 5%):
  - Avila, Lisa (93%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkImageDataGeometryFilter.h)`
  - .`cxx` (`/Graphics/vtkImageDataGeometryFilter.cxx)`

Examples:
  vtkImageDataGeometryFilter (Examples)

Tests:
  vtkImageDataGeometryFilter (Tests)

Definition at line 62 of file vtkImageDataGeometryFilter.h.

## Public Types
typedef vtkStructuredPointsToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetExtent (int extent[6])
void | SetExtent (int iMin, int iMax, int jMin, int jMax, int kMin, int kMax)
int * | GetExtent ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkImageDataGeometryFilter * | SafeDownCast (vtkObject *o)
vtkImageDataGeometryFilter * | New ()
## Protected Methods
| vtkImageDataGeometryFilter ()
| ~vtkImageDataGeometryFilter ()
void | Execute ()
## Protected Attributes
int | Extent [6]

## Member Typedef Documentation

typedef vtkStructuredPointsToPolyDataFilter vtkImageDataGeometryFilter::Superclass

| Reimplemented from vtkStructuredPointsToPolyDataFilter. Reimplemented in vtkStructuredPointsGeometryFilter. Definition at line 65 of file vtkImageDataGeometryFilter.h.

## Constructor & Destructor Documentation

vtkImageDataGeometryFilter::vtkImageDataGeometryFilter | ( |  | ) | `[protected]`

vtkImageDataGeometryFilter::~vtkImageDataGeometryFilter | ( |  | ) | `[inline, protected]`

| Definition at line 81 of file vtkImageDataGeometryFilter.h.

## Member Function Documentation

virtual const char* vtkImageDataGeometryFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkStructuredPointsToPolyDataFilter. Reimplemented in vtkStructuredPointsGeometryFilter.

int vtkImageDataGeometryFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkStructuredPointsToPolyDataFilter. Reimplemented in vtkStructuredPointsGeometryFilter.

virtual int vtkImageDataGeometryFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkStructuredPointsToPolyDataFilter. Reimplemented in vtkStructuredPointsGeometryFilter.

vtkImageDataGeometryFilter* vtkImageDataGeometryFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkStructuredPointsToPolyDataFilter. Reimplemented in vtkStructuredPointsGeometryFilter.

void vtkImageDataGeometryFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkStructuredPointsToPolyDataFilter.

vtkImageDataGeometryFilter* vtkImageDataGeometryFilter::New | ( |  | ) | `[static]`

| Construct with initial extent of all the data Reimplemented from vtkObject. Reimplemented in vtkStructuredPointsGeometryFilter.

void vtkImageDataGeometryFilter::SetExtent | ( | int | extent[6] | ) |

| Set / get the extent (imin,imax, jmin,jmax, kmin,kmax) indices.

void vtkImageDataGeometryFilter::SetExtent | ( | int | iMin,
|  | int | iMax,
|  | int | jMin,
|  | int | jMax,
|  | int | kMin,
|  | int | kMax
| ) |

| Set / get the extent (imin,imax, jmin,jmax, kmin,kmax) indices.

int* vtkImageDataGeometryFilter::GetExtent | ( |  | ) | `[inline]`

| Set / get the extent (imin,imax, jmin,jmax, kmin,kmax) indices. Definition at line 76 of file vtkImageDataGeometryFilter.h.

void vtkImageDataGeometryFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

int vtkImageDataGeometryFilter::Extent[6]`[protected]`

| Definition at line 84 of file vtkImageDataGeometryFilter.h.

The documentation for this class was generated from the following file:

- Graphics/vtkImageDataGeometryFilter.h